package io.renren.modules.hbase.hbasebean;

import lgh.springboot.starter.hbase.annotation.HBaseTable;
import lgh.springboot.starter.hbase.entity.HBaseEntity;
import org.apache.hadoop.hbase.io.compress.Compression;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
@HBaseTable(name = "hbase_01", columnFamily = "c0", compression = Compression.Algorithm.NONE)
//@HBaseTable(name = "algorithmResult", columnFamily = "data", compression = Compression.Algorithm.NONE)
public class Hbasetable extends HBaseEntity {

    private String rowKey;
    private Map<String, String> properties = new HashMap<String, String>();

    @Override
    public String getRowKey() {
        return rowKey;
    }

    @Override
    public void setRowKey(String rowKey) {
        this.rowKey = rowKey;
    }

    @Override
    public Map<String, String> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, String> properties) {
        this.properties = properties;
    }


}